Cloud Keys

This endpoint is used to get all the cloud keys for a given user.

Response Payload Object

The response's payload will contain an array of objects containing the following values.

PropertyTypeDescription
expireOnDateTimeThe expiration of that cloud key.
idintegerThe Id of that cloud key.
sendByEmailbooleanWhether or not that cloud key was sent by email.
sendByTextbooleanWhether or not that cloud key was sent by SMS message.
statusintegerWhether or not that cloud key is active. Values can be 0 for inactive or 1 for active. Even if a cloud key is expired, it may still show as active.
useOneTimebooleanWhether or not that cloud key was only valid for one use.
userIdGuidThe user for whom that cloud key belongs.
validFromDateTimeThe start date and time when that cloud key was usable.
🚧

Any fields returned in the response's payload that are not listed here are "empty" fields that should be ignored as they will always be the same value or will not be filled in.

📘

Note that if an error was found, then the payload will be null, however if no values were found and no error occurred, then an empty list will be returned instead.

Controlled Errors

Error CodeError Message
error_cloud_key_out_of_time_rageTo DateTime provided is after the From DateTime provided.

Any status codes returned that are not provided here are generic status codes that can be found here.

Query Params
date

The date and time of the start of a time range to filter cloud keys. If no value is provided, it will default to January 1, 1900.

string

The date and time of the end of a time range to filter cloud keys. If no value is provided, it will default to the current date and time.

string

The Guid Id of the user whose cloud keys will be returned. If this value is not passed, it will default to an empty Guid.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain